Loading...
Searching...
No Matches
apr_hooks.h File Reference

Apache hook functions. More...

`#include "apu.h"`
`#include "apr_tables.h"`
Include dependency graph for apr_hooks.h:

Go to the source code of this file.

## Macros

#define | APR_HOOK_INT_DCL_UD
#define | APR_HOOK_PROBE_ENTRY(ud, ns, name, args)
#define | APR_HOOK_PROBE_RETURN(ud, ns, name, rv, args)
#define | APR_HOOK_PROBE_INVOKE(ud, ns, name, src, args)
#define | APR_HOOK_PROBE_COMPLETE(ud, ns, name, src, rv, args)
#define | APR_IMPLEMENT_HOOK_GET_PROTO(ns, link, name)
#define | APR_DECLARE_EXTERNAL_HOOK(ns, link, ret, name, args)
#define | APR_HOOK_STRUCT(members)
#define | APR_HOOK_LINK(name)
#define | APR_IMPLEMENT_EXTERNAL_HOOK_BASE(ns, link, name)
#define | APR_IMPLEMENT_EXTERNAL_HOOK_VOID(ns, link, name, args_decl, args_use)
#define | APR_IMPLEMENT_EXTERNAL_HOOK_RUN_ALL(ns, link, ret, name, args_decl, args_use, ok, decline)
#define | APR_IMPLEMENT_EXTERNAL_HOOK_RUN_FIRST(ns, link, ret, name, args_decl, args_use, decline)
#define | APR_HOOK_REALLY_FIRST (-10)
#define | APR_HOOK_FIRST 0
#define | APR_HOOK_MIDDLE 10
#define | APR_HOOK_LAST 20
#define | APR_HOOK_REALLY_LAST 30

## Functions

void | apr_hook_sort_register (const char *szHookName, apr_array_header_t **aHooks)
void | apr_hook_sort_all (void)
void | apr_hook_debug_show (const char *szName, const char *const *aszPre, const char *const *aszSucc)
void | apr_hook_deregister_all (void)

## Variables

apr_pool_t * | apr_hook_global_pool
int | apr_hook_debug_enabled
const char * | apr_hook_debug_current

## Detailed Description

Apache hook functions.